function [LBWT_L2,LBWT_D]=lbwt_miss(N1,N2,LEVELS,M,bL2,bD,cP,sL2,sD)

% calculates the L2-cache and D-cache misses of the Line-Based Wavelet Transform
% syntax: lbwt_miss(rows,cols,levels,M,blocksize_L2,blocksize_D,cP,size_L2,size_D)


L2_miss=0;
D_miss=0;

LBWT_L2=0;
LBWT_D=0;

copy_factor=1;


% number of lines per input
K=2^LEVELS;

LBWT_L2=N1*N2/bL2;

% for the OM_cols
for l=0:1:LEVELS-1
   % for the row filtering of the lines
   %D_miss=D_miss+K*N2*2^(-l)*cP/bD;
   D_miss=D_miss+2^(LEVELS-l)*N2*cP/bD;
   
   % for the column filtering
   %D_miss=D_miss+K*N2*2^(-l)*cP/bD;
   D_miss=D_miss+(K-2^l)*N2*cP/bD;
   D_miss=D_miss+(2*M-1)*N2*2^(-l)*cP/bD;

end

LBWT_D=(N1/K)*D_miss;
   
